Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 80629

Summary: RFE: Add support for DPMS on DVI interface for radeon driver
Product: [Retired] Red Hat Linux Reporter: louisgtwo
Component: XFree86Assignee: Mike A. Harris <mharris>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9Keywords: FutureFeature
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: FC4 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-12-01 21:45:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description louisgtwo 2002-12-29 03:03:38 UTC
Currently the radeon driver can't suspend a digital monitor.

Comment 1 Mike A. Harris 2002-12-29 08:05:31 UTC
XFree86 driver feature requests really should be made directly to
XFree86.org, whom maintain the video drivers.  While I do make
enhancements occasionally as well, they are a lower priority thing
that is done more in my personal time as a volunteer.  I also do not
have any DVI display hardware currently, so I'll be unable to implement
such a request at this time.

I'm defering this for the future, however you should also make this
request directly to XFree86.org as I've mentioned above, which will
increase the likelyhood of it being implemented anytime soon.

Comment 2 Mike A. Harris 2003-02-21 22:40:13 UTC
I just implemented DPMS support for the Radeon driver for LCD and DFP display
panels.  It has been tested by one user who claims it works great for him
and confirms his CRT DPMS still works as well.

* Fri Feb 21 2003 Mike A. Harris <mharris@redhat.com> 4.2.99.902-20030220.2
- Implemented XFree86-4.2.99.902-ati-radeon-dpms-on-dvi.patch for DPMS on
  LCD/DFP panels on Radeon driver (#80629)


Please test this out with CRT, LCD and anything else you can throw at it.
Test it in all DPMS modes please, as I do not have any LCD/DFP hardware,
so I can't test that functionality myself.  I'd like to get as many
confirmations from users as possible that it works for them and does
not regress the driver at all.

Setting to MODIFIED.  If problems occur with DPMS, please change back to
ASSIGNED.  If it works great, please close as RAWHIDE.

Comment 3 Mike A. Harris 2003-02-21 22:40:13 UTC
I just implemented DPMS support for the Radeon driver for LCD and DFP display
panels.  It has been tested by one user who claims it works great for him
and confirms his CRT DPMS still works as well.

* Fri Feb 21 2003 Mike A. Harris <mharris@redhat.com> 4.2.99.902-20030220.2
- Implemented XFree86-4.2.99.902-ati-radeon-dpms-on-dvi.patch for DPMS on
  LCD/DFP panels on Radeon driver (#80629)


Please test this out with CRT, LCD and anything else you can throw at it.
Test it in all DPMS modes please, as I do not have any LCD/DFP hardware,
so I can't test that functionality myself.  I'd like to get as many
confirmations from users as possible that it works for them and does
not regress the driver at all.

Setting to MODIFIED.  If problems occur with DPMS, please change back to
ASSIGNED.  If it works great, please close as RAWHIDE.

Comment 4 Mike A. Harris 2003-02-21 23:14:43 UTC
These packages will be available for download tomorrow, however if you
would like to test it in the mean time, upgrade to the latest rawhide
XFree86 that is available, and then drop the following Radeon driver
over top of the one that comes with X:

ftp://people.redhat.com/mharris/test-drivers/radeon_drv.o

Then to test DPMS:

xset dpms force standby
xset dpms force suspend
xset dpms force off

This should work on CRT or LCD/DFP, or dualhead with any combination.

Enjoy.